function R = RebonatoForm( n, dt, beta, LongCorr )
% returns an nxn matrix given by
% R_ij = LongCorr + (1-LongCorr)exp(-beta|T_i-T_j|), i,j=1,...,n
% with T_i = i*dt
% USAGE: R = RebonatoForm( n, dt, beta, LongCorr )

R=zeros(n);
for i=1:n
    for j=1:n
        R(i,j)=LongCorr+(1-LongCorr)*exp(-beta*abs(i-j)*dt);
    end
end